org.apache.lucene.index

## Class CheckIndex.VerifyPointsVisitor

- java.lang.Object
- - org.apache.lucene.index.CheckIndex.VerifyPointsVisitor

All Implemented Interfaces:
  PointValues.IntersectVisitor

Enclosing class:
  CheckIndex

    public static class CheckIndex.VerifyPointsVisitor
    extends Object
    implements PointValues.IntersectVisitor

Walks the entire N-dimensional points space, verifying that all points fall within the last cell's boundaries.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`VerifyPointsVisitor(String fieldName, int maxDoc, PointValues values)` Sole constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`PointValues.Relation` `compare(byte[] minPackedValue, byte[] maxPackedValue)` Called for non-leaf cells to test how the cell relates to the query, to determine how to further recurse down the tree.
`long` `getDocCountSeen()` Returns total number of unique docIDs in this BKD tree
`long` `getPointCountSeen()` Returns total number of points in this BKD tree
`void` `visit(int docID)` Called for all documents in a leaf cell that's fully contained by the query.
`void` `visit(int docID, byte[] packedValue)` Called for all documents in a leaf cell that crosses the query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.index.PointValues.IntersectVisitor

`grow, visit`

### Constructor Detail

#### VerifyPointsVisitor

    public VerifyPointsVisitor(String fieldName,
                               int maxDoc,
                               PointValues values)
                        throws IOException

Sole constructor

Throws:
  `IOException`

### Method Detail

#### getPointCountSeen

    public long getPointCountSeen()

Returns total number of points in this BKD tree

#### getDocCountSeen

    public long getDocCountSeen()

Returns total number of unique docIDs in this BKD tree

#### visit

    public void visit(int docID)

Description copied from interface: `PointValues.IntersectVisitor`
Called for all documents in a leaf cell that's fully contained by the query. The consumer should blindly accept the docID.

Specified by:
  `visit` in interface `PointValues.IntersectVisitor`

#### visit

    public void visit(int docID,
                      byte[] packedValue)

Description copied from interface: `PointValues.IntersectVisitor`
Called for all documents in a leaf cell that crosses the query. The consumer should scrutinize the packedValue to decide whether to accept it. In the 1D case, values are visited in increasing order, and in the case of ties, in increasing docID order.

Specified by:
  `visit` in interface `PointValues.IntersectVisitor`

#### compare

    public PointValues.Relation compare(byte[] minPackedValue,
                                        byte[] maxPackedValue)

Description copied from interface: `PointValues.IntersectVisitor`
Called for non-leaf cells to test how the cell relates to the query, to determine how to further recurse down the tree.

Specified by:
  `compare` in interface `PointValues.IntersectVisitor`